
/* @(#)dbm.h 1.1 86/09/25 SMI; from UCB 4.1 83/06/27 */

#define	PBLKSIZ	1024
#define	DBLKSIZ	4096
#define	BYTESIZ	8
#ifndef NULL
#define	NULL	((char *) 0)
#endif

long	bitno;
long	maxbno;
long	blkno;
long	hmask;

extern char	pagbuf[];
extern char	dirbuf[];

extern int	dirf;
extern int	pagf;
extern int	dbrdonly;

typedef	struct _datum
{
	char	*dptr;
	int	dsize;
} datum;
ern ;
int  dbminit(char  *file);
int  dbmflush(void);
int  dbmclose(void);
void  dbm_access(long  hash);
long  hashinc(long  hash);
datum	fetch(datum);
datum	makdatum();
datum	firstkey();
datum	nextkey();
datum	firsthash();
long	calchash();
long	hashinc();
int	store(datum, datum);
